<div id="destinations">
    <h2>Destinations</h2>
    <div *ngFor="let obj of routerService.destinations">
        <h3>{{obj.name}} </h3>
        <ul>
            <li>
                <label for="out{{obj.index}}">Alias: </label><input (change)="somethingChanged($event)" type="text" [(ngModel)]="obj.alias">
            </li>
        </ul>
    </div>
</div>
<div id="sources">
    <h2>Sources</h2>
    <div *ngFor="let obj of routerService.sources">
        <h3>{{obj.name}} </h3>
        <ul>
            <li>
                <label for="out{{obj.index}}">Alias: </label><input (change)="somethingChanged($event)" type="text" [(ngModel)]="obj.alias">
            </li>
        </ul>
    </div>
</div>
<div id="actions" style="width: 100%;">
    <button value="save" (click)="save($event)">Save</button>
    <a routerLink="/">HOME</a>
</div>